/* reset */

* {
	margin: 0;
	padding: 0;
	border: 0;
	box-sizing: border-box;
	text-decoration: none;
	font-family: Arial, sans-serif;
}

body {
	line-height: 1;
}

ol,
ul {
	list-style: none;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* navbar */

.navbar {
	display: flex;
	justify-content: space-between;
	background-color: #000000;
	color: #ffffff;
	align-items: center;
	gap: 50px;
	padding: 15px;
}

.navbar>h1 {
	font-size: large;
}

.navbar>h1>a {
	font-size: large;
	color: #ffffff;
}

.navbar>nav {

	flex-grow: 1;
}

.navbar>nav>ul {
	display: flex;
	justify-content: flex-end;
	gap: 30px;
}

.navbar>nav>ul>li>a {
	color: #ffffff;
	font-size: larger;
}

.navbar>nav>ul>li>a:hover {
	color: #fca311;
}

.navbar>nav>ul>li>a.active {
	color: #fca311;
}

/* footer */

.footer {
	color: #e5e5e5;
	background-color: #000000;
	padding: 10px;
	position: fixed;
	bottom: 0px;
	width: 100%;
}

.footer>p {
	text-align: center;
}

/* index.html */

.HomeContent {
	text-align: center;
	margin-bottom: 60px;
	margin-top: 100px;
}

.dashboard {
	display: flex;
	justify-content: space-around;
	padding: 50px;
}

.info>div {
	border: 1px solid #fca311;
	border-radius: 5%;
	margin-bottom: 10px;
	padding: 50px  70px;
}

.info>button {
	border-radius: 5px;
	width: 100%;
	font-weight: bold;
	font-size: larger;
	padding: 10px;
}

.info>button>a {
	color: #000000;
	padding: 15px 80px;
}

.info>button>:hover {
	color: #ffffff;
}

.info>div>h2 {
	text-align: center;
}

.info>div>img {
	padding: 30px;
}

.info>button:hover {
	color: #ffffff;
	background-color: #14213d;
}

/* airline-airport-flight content */

/* search */


.container {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 10vh;
	margin-bottom: 20px;
}
form {
	background-color: #fff;
	padding: 20px;
	border-radius: 10px;
	box-shadow: 0 0 10px rgba(0,0,0,0.1);
	display: flex;
	align-items: center;
}
input[type="text"] {
	padding: 10px;
	width: 300px;
	border: 1px solid #ccc;
	border-radius: 5px 0 0 5px;
	outline: none;
}
select {
	padding: 10px;
	border: 1px solid #ccc;
	border-radius: 0 5px 5px 0;
	outline: none;
	appearance: none;
	background-image: url('data:image/svg+xml;utf8,<svg fill="none" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" stroke="currentColor"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path></svg>'); /* Custom arrow */
	background-repeat: no-repeat;
	background-position: right 10px center;
	background-size: 15px;
	-webkit-appearance: none;
	-moz-appearance: none;
}
#searchButton {
	padding: 10px 20px;
	background-color: #fca311;
	color: #fff;
	border: none;
	border-radius: 5px;
	cursor: pointer;
	outline: none;
	margin-left: 10px;
}
#searchButton:hover {
	background-color: #cf8000;
}

/*content*/

#scrollToTopBtn {
	font-size: larger;
	position: fixed;
	bottom: 20px;
	right: 20px;
	background-color: #fca311;
	color: white;
	border: none;
	border-radius: 5px;
	padding: 10px 20px;
	cursor: pointer;
	margin-bottom: 30px;
	display: none;
}

.content {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.title {
	display: flex;
	justify-content: space-evenly;
}

.title>h2 {
	position: relative;
	padding: 40px 20px;
	font-size: 30px;
	font-weight:lighter;
}

.title>a {
	position: absolute;
	left: 15%;
	margin-top: 1%;
}
main>hr {
	background-color: #dedede;
	padding: 1px;
	width: 50%;
	margin-bottom: 20px;
}

.table>table>thead>tr>th {
	border: 1px solid black;
	background-color: #e5e5e5;
	padding: 10px;
	text-align: center;
	position: sticky;
	top: 0;
}

.table>table>tbody>tr>td {
	border: 1px solid black;
	padding: 10px;
	text-align: center;
}
.table{
	max-height: 260px;
	overflow-y: auto;
	margin-bottom: 15px;
}

.table>table>tbody>tr>td {
	max-width: 280px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.table>table>tbody>tr>td:hover {
	overflow: visible;
	white-space: wrap;
}

#showFormButton {
	color: #ffffff;
	background-color: #fca311;
	border-radius: 5px;
	width: 100%;
	padding: 8px 110px;
	font-size: medium;
	margin-bottom: 30px;
	margin-top: 30px;
}
#showFormButton:hover {
	color: #ffffff;
	background-color: #14213d;
}

#showMoreButton {
	color: #ffffff;
	background-color: #fca311;
	border-radius: 5px;
	width: 100%;
	padding: 5px 80px;
	font-size: medium;
	margin-bottom: 20px;
	margin-top: 20px;
}
#showMoreButton:hover {
	color: #ffffff;
	background-color: #14213d;
}

#formSection {
	display: none;
	margin-bottom: 70px;
}

.form>form>fieldset {
	display: flex;
	flex-direction: column;
	border: 1px solid #dedede;
	border-radius: 15px;
	padding: 20px;
}

.form>form>fieldset>input {
	border: 1px solid #dedede;
	border-radius: 7px;
	padding: 2px 8px;
	margin-bottom: 20px;
	width: 300px;
}

.form>form>fieldset>label {
	font-size: small;
}

.form>form>fieldset>legend {
	font-size: small;
}

#description {
	height: 40px;
	width: 300px;
	margin-bottom: 10px;
}

.form>form>fieldset>button {
	width: 100%;
	height: 100%;
	padding: 6px;
	color: #ffffff;
	background-color: #fca311;
	border-radius: 5px;
	font-size: medium;
}

.form>form>fieldset>button:hover {
	color: #ffffff;
	background-color: #14213d;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.fade-in {
    animation: fadeIn 1.2s ease-in-out;
}